--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: manager
comment: 
- !ruby/struct:SM::Flow::P 
  body: Creates a Manager but also takes an optional block and automatically closes the transport connection used by this manager after the block completes.
full_name: SNMP::Manager::open
is_singleton: true
name: open
params: (config = {}) {|manager| ...}
visibility: public
